Name:           ezmorph
Version:        1.0.6
Release:        14%{?dist}
Summary:        Object transformation library for Java
License:        ASL 2.0
URL:            http://ezmorph.sourceforge.net/
# A plain jarball with the source is provided by upstream.  We could use
# it, but we choose to build with maven for the sake of consistency.
# Therefore we pull the tree with maven metadata from VCS.
# cvs -d:pserver:anonymous@ezmorph.cvs.sourceforge.net:/cvsroot/ezmorph login
# cvs -z3 -d:pserver:anonymous@ezmorph.cvs.sourceforge.net:/cvsroot/ezmorph co -r REL_1_0_6 -d ezmorph-1.0.6 -P ezmorph
# tar czf ezmorph-1.0.6.tar.gz --exclude CVS ezmorph-1.0.6
Source0:        %{name}-%{version}.tar.gz
# License is not in tarball, but has since been added to upstream's source control:
Source1:        http://ezmorph.cvs.sourceforge.net/viewvc/ezmorph/ezmorph/LICENSE.txt
Patch0:         ezmorph-1.0.6-maven.patch

BuildRequires:  jakarta-oro
BuildRequires:  maven-local
BuildArch:      noarch

%description
EZMorph is simple java library for transforming an Object to another
Object. It supports transformations for primitives and Objects and
multidimensional arrays.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1 -b .maven

cp -p %{SOURCE1} .

%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 13 2015 gil cattaneo <puntogil@libero.it> 1.0.6-12
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.6-10
- Use Requires: java-headless rebuild (#1067528)

* Tue Aug 13 2013 Mat Booth <fedora@matbooth.co.uk> - 1.0.6-9
- Update for latest guidelines, rhbz #992240
- Add license file

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Andy Grimm <agrimm@gmail.com> - 1.0.6-7
- Add maven-local and maven-shared to BuildRequires (RHBZ#913996)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 10 2012 Andy Grimm <agrimm@gmail.com> - 1.0.6-5
- Fix FTBFS

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jun 17 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.0.6-2
- Carry the build over to Maven
- Package Maven poms & add depmap
- Add javadoc subpackage

* Thu May 20 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.0.6-1
- Initial packaging
